| Home | Libraries | People | FAQ | More

### io_service::strand

Provides serialised handler execution.

    class strand

##### Member Functions

Name | Description
--- | ---
dispatch | Request the strand to invoke the given handler.
get_io_service | Get the io_service associated with the strand.
io_service | (Deprecated: use get_io_service().) Get the io_service associated with the strand.
post | Request the strand to invoke the given handler and return immediately.
strand | Constructor.
wrap | Create a new handler that automatically dispatches the wrapped handler on the strand.
~strand | Destructor.

The io_service::strand class provides the ability to post and dispatch handlers with the guarantee that none of those handlers will execute concurrently.

##### Thread Safety

Distinct objects: Safe.

Shared objects: Safe.